Skip to main content
GET
/
v2
/
account
/
ubos
/
{ubo-id}
Get UBO
curl --request GET \
  --url https://api.example.com/v2/account/ubos/{ubo-id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "info": {
    "fullName": "<string>",
    "dateOfBirth": "2023-12-25",
    "countryOfTaxId": "<string>",
    "taxIdNumber": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "hasControl": true,
    "percentageOfOwnership": 123
  },
  "address": {
    "streetLine1": "<string>",
    "streetLine2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "zipCode": "<string>"
  },
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "documentType": "<string>",
      "uploadURLFront": "<string>",
      "uploadURLBack": "<string>",
      "ready": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ubo-id
string<uuid>
required

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Response

OK

UBO detail with address and documents

id
string<uuid>
userId
string<uuid>
createdAt
string<date-time>
updatedAt
string<date-time>
info
object

UBO personal/corporate information

address
object

UBO address

documents
object[]